# Uses of Interface
org.apache.lucene.queryparser.charstream.CharStream

Packages that use CharStream
Package
Description
org.apache.lucene.queryparser.charstream
This package contains reusable parts for javacc-generated grammars (query parsers).
org.apache.lucene.queryparser.classic
A simple query parser implemented with JavaCC.
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser
org.apache.lucene.queryparser.surround.parser
This package contains the QueryParser.jj source file for the Surround parser.

- ## Uses of CharStream in org.apache.lucene.queryparser.charstream

  Classes in org.apache.lucene.queryparser.charstream that implement CharStream
  Modifier and Type
  Class
  Description
  `final class`
  `FastCharStream`
  An efficient implementation of JavaCC's CharStream interface.

- ## Uses of CharStream in org.apache.lucene.queryparser.classic

  Fields in org.apache.lucene.queryparser.classic declared as CharStream
  Modifier and Type
  Field
  Description
  `protected CharStream`
  QueryParserTokenManager.`input_stream`
  Methods in org.apache.lucene.queryparser.classic with parameters of type CharStream
  Modifier and Type
  Method
  Description
  `void`
  QueryParser.`ReInit(CharStream stream)`
  Reinitialise.
  `abstract void`
  QueryParserBase.`ReInit(CharStream stream)`
  `void`
  QueryParserTokenManager.`ReInit(CharStream stream)`
  Reinitialise parser.
  `void`
  QueryParserTokenManager.`ReInit(CharStream stream, int lexState)`
  Reinitialise parser.
  Constructors in org.apache.lucene.queryparser.classic with parameters of type CharStream
  Modifier
  Constructor
  Description
  `protected`
  `QueryParser(CharStream stream)`
  Constructor with user supplied CharStream.
  ``
  `QueryParserTokenManager(CharStream stream)`
  Constructor.
  ``
  `QueryParserTokenManager(CharStream stream, int lexState)`
  Constructor.

- ## Uses of CharStream in org.apache.lucene.queryparser.flexible.standard.parser

  Fields in org.apache.lucene.queryparser.flexible.standard.parser declared as CharStream
  Modifier and Type
  Field
  Description
  `protected CharStream`
  StandardSyntaxParserTokenManager.`input_stream`
  Methods in org.apache.lucene.queryparser.flexible.standard.parser with parameters of type CharStream
  Modifier and Type
  Method
  Description
  `void`
  StandardSyntaxParser.`ReInit(CharStream stream)`
  Reinitialise.
  `void`
  StandardSyntaxParserTokenManager.`ReInit(CharStream stream)`
  Reinitialise parser.
  `void`
  StandardSyntaxParserTokenManager.`ReInit(CharStream stream, int lexState)`
  Reinitialise parser.
  Constructors in org.apache.lucene.queryparser.flexible.standard.parser with parameters of type CharStream
  Modifier
  Constructor
  Description
  ``
  `StandardSyntaxParser(CharStream stream)`
  Constructor with user supplied CharStream.
  ``
  `StandardSyntaxParserTokenManager(CharStream stream)`
  Constructor.
  ``
  `StandardSyntaxParserTokenManager(CharStream stream, int lexState)`
  Constructor.

- ## Uses of CharStream in org.apache.lucene.queryparser.surround.parser

  Fields in org.apache.lucene.queryparser.surround.parser declared as CharStream
  Modifier and Type
  Field
  Description
  `protected CharStream`
  QueryParserTokenManager.`input_stream`
  Methods in org.apache.lucene.queryparser.surround.parser with parameters of type CharStream
  Modifier and Type
  Method
  Description
  `void`
  QueryParser.`ReInit(CharStream stream)`
  Reinitialise.
  `void`
  QueryParserTokenManager.`ReInit(CharStream stream)`
  Reinitialise parser.
  `void`
  QueryParserTokenManager.`ReInit(CharStream stream, int lexState)`
  Reinitialise parser.
  Constructors in org.apache.lucene.queryparser.surround.parser with parameters of type CharStream
  Modifier
  Constructor
  Description
  ``
  `QueryParser(CharStream stream)`
  Constructor with user supplied CharStream.
  ``
  `QueryParserTokenManager(CharStream stream)`
  Constructor.
  ``
  `QueryParserTokenManager(CharStream stream, int lexState)`
  Constructor.